package com.usky.oa.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.oa.domain.OaApprovalAccount;
import com.usky.oa.service.OaApprovalAccountService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 审批_账号权限 前端控制器
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
@RestController
@RequestMapping("/oaApprovalAccount")
public class OaApprovalAccountController {

    @Autowired
    private OaApprovalAccountService approvalAccountService;

    /**
     * 列表查询
     * @param authType
     * @param userId
     * @param docType
     * @param pageNum
     * @param pageSize
     * @return
     */
    @ApiOperation(value = "审批账号权限-列表查询", notes = "审批账号权限-列表查询")
    @RequestMapping(value = "/list", method = RequestMethod.GET)
    public ApiResult<?> list(
            @ApiParam("权限类型") @RequestParam(name = "authType", required = false) Integer authType,
            @ApiParam("用户ID") @RequestParam(name = "userId", required = false) Integer userId,
            @ApiParam("单据类型") @RequestParam(name = "docType", required = false) String docType,
            @ApiParam("") @RequestParam(name = "", required = false, defaultValue = "1") Integer pageNum,
            @ApiParam("单据类型") @RequestParam(name = "docType", required = false, defaultValue = "10") Integer pageSize) {
        CommonPage<OaApprovalAccount> list = approvalAccountService.list(authType, userId, docType, pageNum, pageSize);
        return ApiResult.success(list);
    }

    /**
     * 编辑
     */
    @ApiOperation(value = "审批账号权限-编辑", notes = "审批账号权限-编辑")
    @PutMapping(value = "/edit")
    public ApiResult<?> edit(@RequestBody List<OaApprovalAccount> approvalAccountList) {
        UserTokenModel userTokenModel = SessionCache.get();
        Integer customerId = userTokenModel.getRootGroupId();
        SecurityUtils.getLoginUser().get
        approvalAccountService.update(approvalAccountList, customerId);
        return ResultWrapper.ok("编辑成功!");
    }

    // /**
    //  * 组织结构可用人数
    //  * @param approvalAccount
    //  * @return
    //  */
    // @ApiOperation(value = "组织结构可用人数", notes = "组织结构可用人数")
    // @RequestMapping(value = "/findAvailableNum", method = RequestMethod.GET)
    // public ResultWrapper<?> findAvailableNum(@ApiParam("组织结构Id 21,34,54") @RequestParam(name = "orgIds", required = true) String orgIds) {
    //     List<Integer> orgIdList = Arrays.asList(orgIds.split(",")).stream().map(Integer::new).collect(Collectors.toList());
    //     List<Map<String, Integer>> result = approvalAccountService.findAvailableNum(orgIdList);
    //     return ResultWrapper.ok(result);
    // }


}

