package com.usky.oa.controller.web;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.oa.domain.OaApprovalDocument;
import com.usky.oa.service.OaApprovalDocumentService;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * 审批_申请单表 前端控制器
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
@Controller
@RequestMapping("/oaApprovalDocument")
public class OaApprovalDocumentController {
    @Autowired
    private OaApprovalDocumentService approvalDocumentService;

    /**
     * 审批单据-所有单据列表
     */
    @ApiOperation(value="审批单据-所有单据列表", notes="审批单据- 所有单据列表")
    @RequestMapping(value = "/queryAll", method = RequestMethod.GET)
    public ApiResult<CommonPage<OaApprovalDocument>> queryPageList(
            @ApiParam("单据类型") @RequestParam(name="docType", required = false) String docType,
            @ApiParam("审批状态") @RequestParam(name="status", required = false) String status,
            @ApiParam("审批编号") @RequestParam(name="docNo", required = false) String docNo,
            @ApiParam("当前页") @RequestParam(name="page", defaultValue="1") Integer pageNum,
            @ApiParam("一页显示条数") @RequestParam(name="pageSize", defaultValue="10") Integer pageSize) {
        CommonPage<OaApprovalDocument> page = approvalDocumentService.page(docType, status, docNo, pageNum, pageSize);
        return ApiResult.success(page);
    }

}

