package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 审批_申请单表
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaApprovalDocument implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单据编号
     */
    private String docNo;

    /**
     * 单据类型
     */
    private String docType;

    /**
     * 申请人ID
     */
    private Integer proposer;

    /**
     * 申请事由
     */
    private String reason;

    /**
     * 单据扩展数据
     */
    private String docData;

    /**
     * 提交日期
     */
    private LocalDateTime submitTime;

    /**
     * 单据状态 E:未提交可以修改 F：审批中不允许修改 G：审批通过不允许修改 H：审批不通过 I:撤销状态
     */
    private String status;

    /**
     * 审批流程ID
     */
    private Integer flowId;

    /**
     * 创建人ID
     */
    private Integer creator;

    /**
     * 业务系统ID
     */
    private Integer customerId;

    /**
     * 事件状态 0:未同步，1:已同步，2:同步异常
     */
    private Integer eventStatus;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
