package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 审批_审批流程
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaApprovalFlow implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流程名称
     */
    private String flowName;

    /**
     * 单据类型 单据类型 QJD：请假单  JBD：加班单  RZD：入职单 XJD：销假单  DTD：单位调动单 KTD：跨单位调动单
     */
    private String docType;

    /**
     * 描述
     */
    private String description;

    /**
     * 业务系统ID
     */
    private Integer customerId;

    /**
     * 删除状态
     */
    private Integer isDelete;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
