package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 审批_审批节点
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaApprovalNode implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流程ID
     */
    private Integer flowId;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 上级节点
     */
    private Integer parentId;

    /**
     * 审批人ID
     */
    private Integer approvalUserId;

    /**
     * 审批部门ID
     */
    private Integer approvalDeptId;

    /**
     * 审批职位ID
     */
    private Integer jobId;

    /**
     * 审批方式  0:按指定人审批 1:按部门审批  2: 按职位审批
     */
    private String isByDept;

    /**
     * 业务系统ID
     */
    private Integer customerId;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
