package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 审批_审批记录表
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaApprovalRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单据类型 QJD：请假单  JBD：加班单  RZD：入职单 XJD：销假单  DTD：单位调动单 KTD：跨单位调动单
     */
    private String docType;

    /**
     * 单据ID
     */
    private Integer docId;

    /**
     * 流程ID
     */
    private Integer flowId;

    /**
     * 审批节点ID
     */
    private Integer nodeId;

    /**
     * 审批人ID
     */
    private Integer approvalUserId;

    /**
     * 审批状态  F：审批中 G：审批通过 H：审批不通过
     */
    private String status;

    /**
     * 审批意见
     */
    private String opinion;

    /**
     * 提交日期
     */
    private LocalDateTime submitDate;

    /**
     * 审批时间
     */
    private LocalDateTime approvalDate;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
