package com.usky.oa.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.oa.domain.OaApprovalAccount;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 审批_账号权限 服务类
 * </p>
 *
 * @author fu
 * @since 2024-09-30
 */
public interface OaApprovalAccountService extends CrudService<OaApprovalAccount> {

    /**
     * 审批设置节点列表
     *
     * @param
     * @return
     */
    CommonPage<OaApprovalAccount> list(Integer authType, Integer userId, String docType, Integer pageNum, Integer pageSize);

    /**
     * 节点保存
     * @param
     * @return
     */
    boolean update(List<OaApprovalAccount> approvalAccountList,Integer customerId);


    /**
     * 查询组织结构人员上限
     * @param
     * @return
     */
    List<Map<String,Integer>> findAvailableNum(List<Integer> orgIds);

}
