package com.usky.oa.service;

import com.smartsanitation.common.pagination.PaginationWrapper;
import com.smartsanitation.common.response.ResultWrapper;
import com.tidecloud.sanitation.gateway.vo.ApprovalNodeVo;
import com.tidecloud.sanitation.gateway.vo.ApprovalRecordReponseVo;
import com.tidecloud.sanitation.gateway.vo.OwnerApprovalReponse;
import com.tidecloud.sanitation.gateway.vo.OwnerApprovalRequest;
import com.usky.common.core.bean.ApiResult;

import java.util.List;

/**
 * @Description: 审批流转
 * @Author: guoenzhou
 * @Date:   2020-09-08
 * @Version: V1.0
 */
public interface OaApprovalCoreService {

    /**
     * 单据审批
     * 页面点击同意或者不同意处理按钮
     */
    ResultWrapper<?> doApproval(String opinion, String status, Integer approvalId,Integer userId);

    /**
     * 单据提交
     * 调用此方法进入审批
     */
    ApiResult<?> submitDocument(Integer docId, Integer flowId, Long userId);

    /**
     * 审批历史记录
     */
    List<ApprovalRecordReponseVo> approvalHistory(Integer docId, Integer flowId);

    /**
     * 单据审批链
     */
    List<ApprovalNodeVo> getApprovalNodes(Integer flowId,Integer docId);

    /**
     * 我待审记录
     */
    PaginationWrapper<OwnerApprovalReponse> findOwnerApproval(OwnerApprovalRequest ownerApprovalRequest, Integer approvalUid);

    /**
     * 撤销订单
     * @return
     */
    boolean resetDoc(Integer docId,String userName);
}
